<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp "&#x00A0;"> ]>
<xsl:stylesheet 
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:msxml="urn:schemas-microsoft-com:xslt"
	xmlns:umbraco.library="urn:umbraco.library"
	xmlns:CommerceLibrary="urn:CommerceLibrary"
	exclude-result-prefixes="msxml umbraco.library CommerceLibrary">


<xsl:output method="xml" omit-xml-declaration="yes"/>

<xsl:param name="currentPage"/>

<xsl:template match="/">

    <xsl:variable name="catalogName" select="umbraco.library:RequestQueryString('catalog')"/>
    <xsl:variable name="productSku" select="umbraco.library:RequestQueryString('product')"/>
    <xsl:variable name="postedSku" select="umbraco.library:RequestForm('sku')"/>
    <xsl:variable name="postedVariant" select="umbraco.library:RequestForm('variantSku')"/>
    <xsl:variable name="postedQuantity" select="umbraco.library:RequestForm('quantityInput')"></xsl:variable>

    <xsl:if test="string-length($postedSku) > 0">
      <!-- Call add to basket method -->
        <xsl:variable name="addToBasketResult" select="CommerceLibrary:AddToBasket($catalogName, $postedQuantity, $postedSku, $postedVariant)"/>
    </xsl:if>
</xsl:template>

</xsl:stylesheet>