<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
  <!ENTITY nbsp "&#x00A0;">
]>
<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:msxml="urn:schemas-microsoft-com:xslt"
	xmlns:umbraco.library="urn:umbraco.library"
	xmlns:CommerceLibrary="urn:CommerceLibrary"
	exclude-result-prefixes="msxml umbraco.library CommerceLibrary">


  <xsl:output method="xml" omit-xml-declaration="yes"/>

  <xsl:param name="currentPage"/>
  <xsl:variable name="shipment" select="CommerceLibrary:GetBasket()/purchaseOrder/shipments/shipment[address/@addressName = 'Shipment']" />

  <xsl:template match="/">
    <form method="post" action="/shop/checkout/payment.aspx">
      <xsl:apply-templates select="CommerceLibrary:GetShippingMethods('Shipment')/shippingMethods/shippingMethod" />
      <input type="submit" value="Proceed to payment"></input>
      <div>
        <a href="/shop/checkout/address.aspx">Back</a>
      </div>
    </form>
  </xsl:template>

  <xsl:template match="shippingMethod" >
    <input type="radio" name="shippingMethodInput" value="{@shippingMethodId}">
      <xsl:if test="@shippingMethodId = $shipment/@shippingMethodId">
        <xsl:attribute name="checked">checked</xsl:attribute>
      </xsl:if>
      <xsl:value-of select="@displayName"/>
      <br/>
    </input>

  </xsl:template>

</xsl:stylesheet>